.widgetContainer {
    background: #fbfbfb;
    border: 1px solid #5d6369;
    position: absolute;
    top: 10px;
    left: 60px;
    width: 400px;
    height: 400px;
    min-width: 300px;
    min-height: 300px;
    border-top: none;
    display: none;
    @media (max-width: 767px) {
        top: 0 !important;
        bottom: 0 !important;
        left: 0 !important;
        right: 0 !important;
        width: 100% !important;
        height: 100% !important;
        min-height: 0;
        min-width: 0;
    }
    .widgetHeader {
        background: #343a40;
        display: flex;
        align-items: center;
        height: 35px;
        cursor: move;
        .widgetTitle {
            color: #e2e2e2;
            flex-grow: 1;
            padding: 0 10px;
            align-items: center;
            width: 100%;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            display: inline-block;
            div {
                display: inline-block;
            }
            i {
                margin-right: 10px;
            }
        }
        a {
            color: #b7b7b7;
            border-left: 1px solid;
            border-color: #5d6369;
            text-align: center;
            font-size: 15px;
            width: 50px;
            line-height: 35px;
            @include transition(color .2s ease);
            &.widgetMaximize {
                @media (max-width: 767px) {
                    display: none;
                }
            }
        }
    }
    .widgetBody {
        padding: 10px 0;
        height: calc(100% - 35px);
        overflow: auto;
    }
    &.maximized {
        top: 0 !important;
        bottom: 0 !important;
        left: 0 !important;
        right: 0 !important;
        width: 100% !important;
        height: 100% !important;
    }
    &.minimized {
        opacity: 0 !important;
        left: 0 !important;
        top: 100% !important;
        height: 40px !important;
        width: 40px !important;
        min-height: 0px;
        min-width: 0px;
        transition: all .4s;
        .widgetContent {
            overflow: hidden;
        }
    }
}

.minimizedWidgets {
    .minimizedWidget {
        display: inline-block;
        width: 35px;
        height: 35px;
        line-height: 35px;
        text-align: center;
        margin: 2px;
        cursor: pointer;
    }
}

.mCSB_scrollTools {
    width: 11px;
    opacity: .2;
}

.mCSB_scrollTools .mCSB_draggerRail,
.mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {
    width: 5px;
    @include border-radius(0);
}

.mCSB_scrollTools {
    width: 11px;
}

.mCSB_inside>.mCSB_container {
    margin-right: 0px;
}

// right to left styling 
// this will be used when changing the language to Arabic
.rightToLeft {
    .widgetContainer {
        .widgetHeader {
            flex-direction: row-reverse;
            .widgetTitle {
                display: flex;
                flex-direction: row-reverse;
                margin-left: 5px;
                i {
                    margin-right: 0;
                    margin-left: 10px;
                }
            }
            a {
                border-right: 1px solid;
                border-left: none;
            }
        }
    }
}
